set_property DONT_TOUCH true [get_cells hdmi_in_sp_i]
set_property DONT_TOUCH true [get_cells hdmi_in_sp_i/selectio_wiz_0]
set_property DONT_TOUCH true [get_cells hdmi_in_sp_i/selectio_wiz_0/inst]
#CLK RESET
#set_property IOSTANDARD LVCMOS33 [get_ports clk]
#set_property IOSTANDARD LVCMOS33 [get_ports reset]
#set_property PACKAGE_PIN L16 [get_ports clk]
#set_property PACKAGE_PIN R18 [get_ports reset]
set_property -dict { PACKAGE_PIN K17   IOSTANDARD LVCMOS33 } [get_ports { clk }]; 
set_property -dict { PACKAGE_PIN K18   IOSTANDARD LVCMOS33 } [get_ports { reset }]; #IO_L12N_T1_MRCC_35 Sch=btn[0]



#HDMI RX
#set_property PACKAGE_PIN D19 [get_ports {data_in_from_pins_p[0]}]
#set_property PACKAGE_PIN C20 [get_ports {data_in_from_pins_p[1]}]
#set_property PACKAGE_PIN B19 [get_ports {data_in_from_pins_p[2]}]
#set_property PACKAGE_PIN H16 [get_ports diff_clk_in_clk_p]
#set_property PACKAGE_PIN E18 [get_ports hdmi_hpd]
#set_property IOSTANDARD LVCMOS33 [get_ports hdmi_hpd]
#set_property PACKAGE_PIN P14 [get_ports pmod_hdmi_hpd]
#set_property IOSTANDARD LVCMOS33 [get_ports pmod_hdmi_hpd]

set_property -dict { PACKAGE_PIN U19   IOSTANDARD TMDS_33     } [get_ports { diff_clk_in_clk_n }]; #IO_L12N_T1_MRCC_34 Sch=hdmi_rx_clk_n
set_property -dict { PACKAGE_PIN U18   IOSTANDARD TMDS_33     } [get_ports { diff_clk_in_clk_p }]; #IO_L12P_T1_MRCC_34 Sch=hdmi_rx_clk_p
set_property -dict { PACKAGE_PIN W20   IOSTANDARD TMDS_33     } [get_ports { data_in_from_pins_n[0] }]; #IO_L16N_T2_34 Sch=hdmi_rx_n[0]
set_property -dict { PACKAGE_PIN V20   IOSTANDARD TMDS_33     } [get_ports { data_in_from_pins_p[0] }]; #IO_L16P_T2_34 Sch=hdmi_rx_p[0]
set_property -dict { PACKAGE_PIN U20   IOSTANDARD TMDS_33     } [get_ports { data_in_from_pins_n[1] }]; #IO_L15N_T2_DQS_34 Sch=hdmi_rx_n[1]
set_property -dict { PACKAGE_PIN T20   IOSTANDARD TMDS_33     } [get_ports { data_in_from_pins_p[1] }]; #IO_L15P_T2_DQS_34 Sch=hdmi_rx_p[1]
set_property -dict { PACKAGE_PIN P20   IOSTANDARD TMDS_33     } [get_ports { data_in_from_pins_n[2] }]; #IO_L14N_T2_SRCC_34 Sch=hdmi_rx_n[2]
set_property -dict { PACKAGE_PIN N20   IOSTANDARD TMDS_33     } [get_ports { data_in_from_pins_p[2] }]; #IO_L14P_T2_SRCC_34 Sch=hdmi_rx_p[2]
set_property -dict { PACKAGE_PIN W19   IOSTANDARD LVCMOS33 } [get_ports { hdmi_hpd }]; #IO_L22N_T3_34 Sch=hdmi_rx_hpd
                                                      
##Pmod Header JE 3            
set_property -dict { PACKAGE_PIN J15   IOSTANDARD LVCMOS33 } [get_ports { pmod_hdmi_hpd}]; #IO_25_35 Sch=je[3]                          



#HDMI RX I2C#set_property IOSTANDARD LVCMOS33 [get_ports scl]
#set_property IOSTANDARD LVCMOS33 [get_ports sda]
#set_property PACKAGE_PIN G18 [get_ports sda]
#set_property PACKAGE_PIN G17 [get_ports scl]
set_property -dict { PACKAGE_PIN W18   IOSTANDARD LVCMOS33 } [get_ports { scl }]; #IO_L22P_T3_34 Sch=hdmi_rx_scl
set_property -dict { PACKAGE_PIN Y19   IOSTANDARD LVCMOS33 } [get_ports { sda }]; #IO_L17N_T2_34 Sch=hdmi_rx_sda

#HDMI TX
#set_property IOSTANDARD TMDS_33 [get_ports {TMDS_data_p[2]}]
#set_property IOSTANDARD TMDS_33 [get_ports {TMDS_data_n[2]}]
#set_property IOSTANDARD TMDS_33 [get_ports {TMDS_data_p[1]}]
#set_property IOSTANDARD TMDS_33 [get_ports {TMDS_data_n[1]}]
#set_property IOSTANDARD TMDS_33 [get_ports {TMDS_data_p[0]}]
#set_property IOSTANDARD TMDS_33 [get_ports {TMDS_data_n[0]}]
#set_property IOSTANDARD TMDS_33 [get_ports TMDS_clk_p]
#set_property IOSTANDARD TMDS_33 [get_ports TMDS_clk_n]
#set_property PACKAGE_PIN T11 [get_ports {TMDS_data_p[1]}]
#set_property PACKAGE_PIN V15 [get_ports {TMDS_data_p[2]}]
#set_property PACKAGE_PIN W14 [get_ports {TMDS_data_p[0]}]
#set_property PACKAGE_PIN F17 [get_ports hdmi_out_en]
#set_property IOSTANDARD LVCMOS33 [get_ports hdmi_out_en]
set_property -dict { PACKAGE_PIN H17   IOSTANDARD TMDS_33     } [get_ports { TMDS_clk_n }]; #IO_L13N_T2_MRCC_35 Sch=hdmi_tx_clk_n
set_property -dict { PACKAGE_PIN H16   IOSTANDARD TMDS_33     } [get_ports { TMDS_clk_p }]; #IO_L13P_T2_MRCC_35 Sch=hdmi_tx_clk_p
set_property -dict { PACKAGE_PIN D20   IOSTANDARD TMDS_33     } [get_ports { TMDS_data_n[0] }]; #IO_L4N_T0_35 Sch=hdmi_tx_n[0]
set_property -dict { PACKAGE_PIN D19   IOSTANDARD TMDS_33     } [get_ports { TMDS_data_p[0] }]; #IO_L4P_T0_35 Sch=hdmi_tx_p[0]
set_property -dict { PACKAGE_PIN B20   IOSTANDARD TMDS_33     } [get_ports { TMDS_data_n[1] }]; #IO_L1N_T0_AD0N_35 Sch=hdmi_tx_n[1]
set_property -dict { PACKAGE_PIN C20   IOSTANDARD TMDS_33     } [get_ports { TMDS_data_p[1] }]; #IO_L1P_T0_AD0P_35 Sch=hdmi_tx_p[1]
set_property -dict { PACKAGE_PIN A20   IOSTANDARD TMDS_33     } [get_ports { TMDS_data_n[2] }]; #IO_L2N_T0_AD8N_35 Sch=hdmi_tx_n[2]
set_property -dict { PACKAGE_PIN B19   IOSTANDARD TMDS_33     } [get_ports { TMDS_data_p[2] }]; #IO_L2P_T0_AD8P_35 Sch=hdmi_tx_p[2]
set_property -dict { PACKAGE_PIN E18   IOSTANDARD LVCMOS33 } [get_ports { hdmi_out_en }]; #IO_L5P_T0_AD9P_35 Sch=hdmi_tx_hpd

#HDMI TX I2C
#set_property IOSTANDARD LVCMOS33 [get_ports m_scl]
#set_property IOSTANDARD LVCMOS33 [get_ports m_sda]
#set_property PACKAGE_PIN T14 [get_ports m_scl]
#set_property PACKAGE_PIN T15 [get_ports m_sda]
set_property -dict { PACKAGE_PIN G17   IOSTANDARD LVCMOS33 } [get_ports { m_scl }]; #IO_L16P_T2_35 Sch=hdmi_tx_scl
set_property -dict { PACKAGE_PIN G18   IOSTANDARD LVCMOS33 } [get_ports { m_sda }]; #IO_L16N_T2_35 Sch=hdmi_tx_sda


#I2C LED
#set_property IOSTANDARD LVCMOS33 [get_ports i2c_led]
#set_property PACKAGE_PIN G14 [get_ports i2c_led]
set_property -dict { PACKAGE_PIN M14   IOSTANDARD LVCMOS33 } [get_ports { i2c_led }]; #IO_L23P_T3_35 Sch=led[0]

#LEDS
#set_property IOSTANDARD LVCMOS33 [get_ports led]
#set_property PACKAGE_PIN M14 [get_ports led]
set_property -dict { PACKAGE_PIN M15   IOSTANDARD LVCMOS33 } [get_ports { led }]; #IO_L23N_T3_35 Sch=led[1]

#set_property IOSTANDARD LVCMOS33 [get_ports led2]
#set_property PACKAGE_PIN M15 [get_ports led2]
set_property -dict { PACKAGE_PIN G14   IOSTANDARD LVCMOS33 } [get_ports { led2 }]; #IO_0_35 Sch=led[2]

#SWITCHES
#set_property IOSTANDARD LVCMOS33 [get_ports {vga_sel}]
#set_property IOSTANDARD LVCMOS33 [get_ports {mode_sw[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {mode_sw[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {mode_sw[0]}]
#set_property PACKAGE_PIN G15 [get_ports {mode_sw[0]}]
#set_property PACKAGE_PIN P15 [get_ports {mode_sw[1]}]
#set_property PACKAGE_PIN W13 [get_ports {mode_sw[2]}]
#set_property PACKAGE_PIN T16 [get_ports {vga_sel}]
set_property -dict { PACKAGE_PIN G15   IOSTANDARD LVCMOS33 } [get_ports { mode_sw[0] }]; #IO_L19N_T3_VREF_35 Sch=sw[0]
set_property -dict { PACKAGE_PIN P15   IOSTANDARD LVCMOS33 } [get_ports { mode_sw[1] }]; #IO_L24P_T3_34 Sch=sw[1]
set_property -dict { PACKAGE_PIN W13   IOSTANDARD LVCMOS33 } [get_ports { mode_sw[2] }]; #IO_L4N_T0_34 Sch=sw[2]
set_property -dict { PACKAGE_PIN T16   IOSTANDARD LVCMOS33 } [get_ports { vga_sel}]; #IO_L9P_T1_DQS_34 Sch=sw[3]

#VGA
#set_property IOSTANDARD LVCMOS33 [get_ports {blue_da[4]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {blue_da[3]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {blue_da[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {blue_da[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {blue_da[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {green_da[5]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {green_da[4]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {green_da[3]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {green_da[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {green_da[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {green_da[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {red_da[4]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {red_da[3]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {red_da[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {red_da[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {red_da[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports hsync]
#set_property IOSTANDARD LVCMOS33 [get_ports vsync]
#set_property PACKAGE_PIN P19 [get_ports hsync]
#set_property PACKAGE_PIN R19 [get_ports vsync]
#set_property PACKAGE_PIN M19 [get_ports {red_da[0]}]
#set_property PACKAGE_PIN L20 [get_ports {red_da[1]}]
#set_property PACKAGE_PIN J20 [get_ports {red_da[2]}]
#set_property PACKAGE_PIN G20 [get_ports {red_da[3]}]
#set_property PACKAGE_PIN F19 [get_ports {red_da[4]}]
#set_property PACKAGE_PIN H18 [get_ports {green_da[0]}]
#set_property PACKAGE_PIN N20 [get_ports {green_da[1]}]
#set_property PACKAGE_PIN L19 [get_ports {green_da[2]}]
#set_property PACKAGE_PIN J19 [get_ports {green_da[3]}]
#set_property PACKAGE_PIN H20 [get_ports {green_da[4]}]
#set_property PACKAGE_PIN F20 [get_ports {green_da[5]}]
#set_property PACKAGE_PIN P20 [get_ports {blue_da[0]}]
#set_property PACKAGE_PIN M20 [get_ports {blue_da[1]}]
#set_property PACKAGE_PIN K19 [get_ports {blue_da[2]}]
#set_property PACKAGE_PIN J18 [get_ports {blue_da[3]}]
#set_property PACKAGE_PIN G19 [get_ports {blue_da[4]}]

#Pmod Header JC
set_property -dict {PACKAGE_PIN V15 IOSTANDARD LVCMOS33} [get_ports {red_da[2]}]
set_property -dict {PACKAGE_PIN W15 IOSTANDARD LVCMOS33} [get_ports {red_da[3]}]
set_property -dict {PACKAGE_PIN T11 IOSTANDARD LVCMOS33} [get_ports {red_da[4]}]
set_property -dict {PACKAGE_PIN T10 IOSTANDARD LVCMOS33} [get_ports {red_da[5]}]
set_property -dict {PACKAGE_PIN W14 IOSTANDARD LVCMOS33} [get_ports {blue_da[2]}]
set_property -dict {PACKAGE_PIN Y14 IOSTANDARD LVCMOS33} [get_ports {blue_da[3]}]
set_property -dict {PACKAGE_PIN T12 IOSTANDARD LVCMOS33} [get_ports {blue_da[4]}]
set_property -dict {PACKAGE_PIN U12 IOSTANDARD LVCMOS33} [get_ports {blue_da[5]}]

#Pmod Header JD
set_property -dict {PACKAGE_PIN T14 IOSTANDARD LVCMOS33} [get_ports {green_da[2]}]
set_property -dict {PACKAGE_PIN T15 IOSTANDARD LVCMOS33} [get_ports {green_da[3]}]
set_property -dict {PACKAGE_PIN P14 IOSTANDARD LVCMOS33} [get_ports {green_da[4]}]
set_property -dict {PACKAGE_PIN R14 IOSTANDARD LVCMOS33} [get_ports {green_da[5]}]
set_property -dict {PACKAGE_PIN U14 IOSTANDARD LVCMOS33} [get_ports hsync]
set_property -dict {PACKAGE_PIN U15 IOSTANDARD LVCMOS33} [get_ports vsync]

##Pmod Header JB (Zybo Z7-20 only)
set_property -dict { PACKAGE_PIN V8    IOSTANDARD LVCMOS33     } [get_ports { red_da[0] }]; #IO_L15P_T2_DQS_13 Sch=jb_p[1]		 
set_property -dict { PACKAGE_PIN W8    IOSTANDARD LVCMOS33     } [get_ports { red_da[1] }]; #IO_L15N_T2_DQS_13 Sch=jb_n[1]         
set_property -dict { PACKAGE_PIN U7    IOSTANDARD LVCMOS33     } [get_ports { green_da[0] }]; #IO_L11P_T1_SRCC_13 Sch=jb_p[2]        
set_property -dict { PACKAGE_PIN V7    IOSTANDARD LVCMOS33     } [get_ports { green_da[1] }]; #IO_L11N_T1_SRCC_13 Sch=jb_n[2]        
set_property -dict { PACKAGE_PIN Y7    IOSTANDARD LVCMOS33     } [get_ports { blue_da[0] }]; #IO_L13P_T2_MRCC_13 Sch=jb_p[3]        
set_property -dict { PACKAGE_PIN Y6    IOSTANDARD LVCMOS33     } [get_ports { blue_da[1] }]; #IO_L13N_T2_MRCC_13 Sch=jb_n[3]        
#set_property -dict { PACKAGE_PIN V6    IOSTANDARD LVCMOS33     } [get_ports { jb[6] }]; #IO_L22P_T3_13 Sch=jb_p[4]             
#set_property -dict { PACKAGE_PIN W6    IOSTANDARD LVCMOS33     } [get_ports { jb[7] }]; #IO_L22N_T3_13 Sch=jb_n[4]             

#MON
#set_property IOSTANDARD LVCMOS33 [get_ports {mon_data[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {mon_data[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {mon_data[0]}]
#set_property PACKAGE_PIN T20 [get_ports mon_hsync]
#set_property PACKAGE_PIN U20 [get_ports mon_vsync]
#set_property PACKAGE_PIN J15 [get_ports {mon_data[0]}]
#set_property PACKAGE_PIN W20 [get_ports {mon_data[1]}]
#set_property PACKAGE_PIN W16 [get_ports {mon_data[2]}]
#set_property PACKAGE_PIN J14 [get_ports {mon_data[3]}]
#set_property IOSTANDARD LVCMOS33 [get_ports mon_hsync]
#set_property IOSTANDARD LVCMOS33 [get_ports mon_vsync]
#set_property IOSTANDARD LVCMOS33 [get_ports {mon_data[9]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {mon_data[8]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {mon_data[7]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {mon_data[6]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {mon_data[5]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {mon_data[4]}]
#set_property PACKAGE_PIN J16 [get_ports {mon_data[4]}]
#set_property PACKAGE_PIN N16 [get_ports {mon_data[6]}]
#set_property PACKAGE_PIN L15 [get_ports {mon_data[5]}]
#set_property PACKAGE_PIN K14 [get_ports {mon_data[7]}]
#set_property PACKAGE_PIN K16 [get_ports {mon_data[8]}]
#set_property PACKAGE_PIN L14 [get_ports {mon_data[9]}]
#set_property IOSTANDARD LVCMOS33 [get_ports mon_pclk]
#set_property PACKAGE_PIN H15 [get_ports mon_pclk]

##Pmod Header JA (XADC)
set_property -dict { PACKAGE_PIN N15   IOSTANDARD LVCMOS33 } [get_ports { mon_data[0] }]; #IO_L21P_T3_DQS_AD14P_35 Sch=JA1_R_p		   
set_property -dict { PACKAGE_PIN L14   IOSTANDARD LVCMOS33 } [get_ports { mon_data[1] }]; #IO_L22P_T3_AD7P_35 Sch=JA2_R_P             
set_property -dict { PACKAGE_PIN K16   IOSTANDARD LVCMOS33 } [get_ports { mon_data[2] }]; #IO_L24P_T3_AD15P_35 Sch=JA3_R_P            
set_property -dict { PACKAGE_PIN K14   IOSTANDARD LVCMOS33 } [get_ports { mon_data[3] }]; #IO_L20P_T3_AD6P_35 Sch=JA4_R_P             
set_property -dict { PACKAGE_PIN N16   IOSTANDARD LVCMOS33 } [get_ports { mon_data[4] }]; #IO_L21N_T3_DQS_AD14N_35 Sch=JA1_R_N        
set_property -dict { PACKAGE_PIN L15   IOSTANDARD LVCMOS33 } [get_ports { mon_data[5] }]; #IO_L22N_T3_AD7N_35 Sch=JA2_R_N             
set_property -dict { PACKAGE_PIN J16   IOSTANDARD LVCMOS33 } [get_ports { mon_data[6] }]; #IO_L24N_T3_AD15N_35 Sch=JA3_R_N            
set_property -dict { PACKAGE_PIN J14   IOSTANDARD LVCMOS33 } [get_ports { mon_data[7] }]; #IO_L20N_T3_AD6N_35 Sch=JA4_R_N             

##Pmod Header JB (Zybo Z7-20 only)
set_property -dict { PACKAGE_PIN V6    IOSTANDARD LVCMOS33     } [get_ports { mon_data[8] }]; #IO_L22P_T3_13 Sch=jb_p[4]             
set_property -dict { PACKAGE_PIN W6    IOSTANDARD LVCMOS33     } [get_ports { mon_data[9] }]; #IO_L22N_T3_13 Sch=jb_n[4]             
                                                                             
##Pmod Header JE                                                                                                                  
set_property -dict { PACKAGE_PIN V12   IOSTANDARD LVCMOS33 } [get_ports { mon_hsync}]; #IO_L4P_T0_34 Sch=je[1]						 
set_property -dict { PACKAGE_PIN W16   IOSTANDARD LVCMOS33 } [get_ports { mon_vsync }]; #IO_L18N_T2_34 Sch=je[2]                     
#set_property -dict { PACKAGE_PIN J15   IOSTANDARD LVCMOS33 } [get_ports { je[2] }]; #IO_25_35 Sch=je[3]                          
#set_property -dict { PACKAGE_PIN H15   IOSTANDARD LVCMOS33 } [get_ports { je[3] }]; #IO_L19P_T3_35 Sch=je[4]                     
#set_property -dict { PACKAGE_PIN V13   IOSTANDARD LVCMOS33 } [get_ports { je[4] }]; #IO_L3N_T0_DQS_34 Sch=je[7]                  
#set_property -dict { PACKAGE_PIN U17   IOSTANDARD LVCMOS33 } [get_ports { je[5] }]; #IO_L9N_T1_DQS_34 Sch=je[8]                  
#set_property -dict { PACKAGE_PIN T17   IOSTANDARD LVCMOS33 } [get_ports { je[6] }]; #IO_L20P_T3_34 Sch=je[9]                     
#set_property -dict { PACKAGE_PIN Y17   IOSTANDARD LVCMOS33 } [get_ports { je[7] }]; #IO_L7N_T1_34 Sch=je[10]               
#LED4
set_property -dict { PACKAGE_PIN D18   IOSTANDARD LVCMOS33 } [get_ports { mon_pclk }]; #IO_L3N_T0_DQS_AD1N_35 Sch=led[3]
